AOZ Studio Beta - Bug #904

Firefox putting input into the keyboard using vol mute/vol+/vol- windows ver only
06/26/2022 08:46 AM - malcolm harvey
Affected version: 1.0.0 (B16) u25

Description

With mozilla firefox, | noticed it seams to randomly fiddle around with the pc volume + and - keys and vol mute key depending on how
you are using (line input) etc.

ie: If you have a pc keyboard with the three volume buttons top right at the end of f12 normally these three keys are, vol mute, vol
-,vol + OS controlled.

If you press them using amiga manifest mode anyways, it tries to use these keys for input and you can get weird or wrong input or
crashing instead of adjusting or muting vol etc.

This does not happen at all in (Chrome/Edge Chromium/Opera/Vivaldi/Brave) only Firefox.

Also these are the key codes etc that firefox uses or pc's use that connect to the (mute/vol-/vol+) on a pc keyboard.

Note: This does not happen with the mac version of firefox, only the windows version.

Key scanc func ascii
143 e020 Mute Mute d

145 e02e Volume- Volume- ¢
144 e030 Volume+ Volume+ b

History

#1 - 07/12/2022 10:21 PM - malcolm harvey

(An update on this issue.)

| just noticed with the mute/vol+/vol- keys pc in firefox again is that, it does not happen and does not try to do input if waiting for keyboard input eg:
using **line input ":>";variables$ (works correctly) if you enter at least one letter or char on the keyboard and then backspace that again so not input
showing and dont hit enter then the mute/vol+/vol- works fine. (Quite odd putting one aoz char in and then deleting it effects and corrects that's).

Of course as soon as you then hit enter to get new line input again those keys reset and unless you put another char in again and del it (this does
work consistently tho) and it will revert to a coming up with the usual messages, unknown input by using those keys.

#2 - 07/24/2022 06:10 AM - malcolm harvey

Ive also tested this on firefox for linux and it is the same as the mac version, it works correctly, only the windows version is effected with aoz volume.

#3 - 08/28/2022 09:15 PM - malcolm harvey
- Affected version changed from 1.0.0 (B15) to 1.0.0 (B16) u25

#4 - 09/24/2022 11:08 PM - malcolm harvey
- File volminus.png added

- File volmute.png added

- File volplus.png added

Slight update on that...Corrections of codes that were incorrect.

Google chrome anyways and firefox all have same keycodes on all keys | found except for these three keys mute/vol-/vol+, see screenshots.

The screenshots show that firefox in windows uses diff codes (only on these three keys) and as such for whatever reason, these codes if pressed in
aoz (which should only operate mute/vol-/vol+) are causing aoz to think that they are some input pressed on the keyboard, but they should be ignored
by aoz.

#5 - 09/24/2022 11:20 PM - malcolm harvey

Check them here. https:/www.toptal.com/developers/keycode
Note: Again run these in firefox on windows and then run in google chrome to see the diff.
https://www.toptal.com/developers/keycode

#6 - 09/25/2022 04:11 AM - malcolm harvey

Yes, i believe this is a firefox bug as linux and mac firefox with aoz those keys are OS controlled only, but in firefox on windows those keys are
connected to aoz input routines inside the browser. Wierd.

| would say these codes or extended multimedia keys must have come from netscape days on a pc (keyboard) originally, and then eventually when
mozilla appeared in 2003 in a fashion instead, it was then ported to mac and linux versions at some point which now down the track dont have this
issue.

#7 - 05/05/2023 07:42 AM - malcolm harvey

- Status changed from New to Closed

At this point given the above (My last post) and nothing changing from firefox end to get in sync in windows, so there internal browser keyboard codes
are not hardwired to the extended multimedia keys on a pc (And instead letting the os change vol+/vol-/vol mute itself), for now, ill close the ticket.
Again this issue or firefox the same versions (Even the latest version) does not happen in mac os or linux os again simply because the os itself has
only control of those multimedia keys not any browsers which is how it should be, unless specifically programmed to do so. As it is, if your using input
or input in a console in firefox in windows, it interferes with the vol controls, something that should not happen and thinks that your inputting keyboard
character when all you doing is changing the os output volume. Then when you hit enter on your console or do a crlf you get an error because its
getting unwanted keycodes.

Something which has not been tested on windows properly from the firefox team. Difficult to change.

Closed for now.
